Subject: FindLibwww does not make all needed libs link to ryzom_client
Description

Happens on MacOS X libwww installed using macports.

Changing all the FIND_WWW_LIBRARY (XXX OPTIONAL xxx) to FIND_WWW_LIBRARY (XXX REQUIRED xxx) fixes this, but... :)
Details follow...

History

#1 -10/31/2010 10:23 pm - kervala

- Status changed from New to Validated

We shouldn't overlink because it can create problems for other platforms.

We created some helpers to check if a lib is using a symbol and if a lib is already linked to another one, we should use/fix them to be sure all checks

are made.

If you have undefined symbols when linking, you could paste errors there and we can find what lib is missing :)

otool is working fine under Mac OS 10.5 but apparently that's not the case under Mac OS 10.6, so | replaced otool by nm to check symbols.

#2 - 11/01/2010 07:28 pm - rti

Ok here is the list of missing symbols and libs containing the symbols which i had to set to REQUIRED to make ryzom_client run on 10.6 with

macport's libwww:

_HTGuess_new referenced from /opt/local/lib/libwwwapp.dylib (is in libwwwstream.dylib)
_HTLoadFTP referenced from /opt/local/lib/libwwwapp.dylib (is in libwwwftp.dylib)
_HTLoadGopher referenced from /opt/local/lib/libwwwapp.dylib (is in libwwwgopher.dylib)
_HTLoadNews referenced from /opt/local/lib/libwwwapp.dylib (is in libwwwnews.dylib)
_HTLoadTelnet referenced from /opt/local/lib/libwwwapp.dylib (is in libwwwtelnet.dylib)
_HTXML_new referenced from /opt/local/lib/libwwwapp.dylib (is in libwwwxml.dylib)
_HTZLib_inflate referenced from /opt/local/lib/libwwwapp.dylib (is in libwwwzip.dylib)

#3 - 11/01/2010 07:29 pm - rti

btw, i updated to r1049 before creating the list :)

#4 - 11/02/2010 09:56 am - rti
Maybe it is worth mentioning that some part of the under link detection seems to work well:
-- Underlinking found: /opt/local/lib/libwwwapp.dylib needs

/opt/local/lib/libwwwcache.dylib but is not linked to, manually linking...
-- Linking with /opt/local/lib/libwwwcache.dylib

#5 - 11/02/2010 10:07 am - kervala

Your 2nd post helped me to check that "nm -gu" are not giving the expected results :( Even if they work under Leopard.
| used now "nm -Dgu", please could you try if it works ? Thanks :)

#6 - 11/02/2010 01:03 pm - kervala

- Status changed from Validated to Assigned

- Assignee set to kervala

- Priority changed from Normal to High

#7 - 11/02/2010 01:10 pm - kervala

- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r1063.

#8 - 11/02/2010 01:13 pm - kervala
- Target version set to Version 0.8.0

Finally :)

#9 - 11/18/2010 02:44 pm - kervala

- Status changed from Resolved to Closed
